Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81170 - rpm man page incomplete
Summary: rpm man page incomplete
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-06 13:08 UTC by Thomas Ribbrock
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 18:48:22 UTC


Attachments (Terms of Use)

Description Thomas Ribbrock 2003-01-06 13:08:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020903

Description of problem:
rpm supports several command line options that are mentioned in 'rpm --help',
but not in the man page of rpm.

Examples:

--redhatprovides
--redhatrequires
--conflicts
--obsoletes

My guess is that none of the "popt/alias" options are documented.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run 'man rpm'
2. Search e.g. for --redhatprovides
3. Option is not documented
    

Expected Results:  All commandline should be documented in the man page.
Alternatively, the man page should contain pointers to where the missing
information can be found.

Additional info:

Comment 1 Paul Nasrat 2005-09-29 18:48:22 UTC
As popt aliases are external there is no good way to provide man page
documentation for them. popt plugs into rpm --help however.


Note You need to log in before you can comment on or make changes to this bug.